Subject: bug#44202: [PATCH] Add variable to control confirmation of help-mode-revert-buffer

From: Stefan Kangas <[email-masked]>
Date: Tue, 24 Nov 2020 07:57:57 -0800

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> I like this change.  But I have now run into the scenario where I type
>> `g' to see the new value of a variable (where I expected a change) and
>> nothing seemed to happen.  The problem, of course, was that the value of
>> the variable did not change as I expected.
>
> I don't quite follow you -- the only change was to remove the user
> query -- nothing else has changed.  A `g' should update the buffer with
> the new value of the variable, as before.

Absolutely, yes.  But: My dumb brain was just used to seeing the
confirmation and had to pause for half a second when I did not see it,
thinking something was wrong.  My idea was simply that we could perhaps
show a message saying that the buffer was reverted, to not give other
users reason for pause.  WDYT?